package com.pcloud.common.trade.vo;/**
 * Created by ${user} on ${date}
 */

import java.io.Serializable;

/**
 * @author TianChao
 * @date 2018/10/23 10:43
 */
public class TargetIdAndTypeVO implements Serializable {


    private static final long serialVersionUID = 1581040394497248116L;

    private Long targetId;

    private String targetType;

    private Long wechatUserId;

    private boolean buyOneBook;

    private int paymentSource;

    private Long channelId;

    private Long appId;

    private Long officialAccountsId;

    private Long adviserId;

    private Long sceneId;

    private String ipAddress;

    public String getIpAddress() {
        return ipAddress;
    }

    public void setIpAddress(String ipAddress) {
        this.ipAddress = ipAddress;
    }

    public Long getAdviserId() {
        return adviserId;
    }

    public void setAdviserId(Long adviserId) {
        this.adviserId = adviserId;
    }

    public Long getSceneId() {
        return sceneId;
    }

    public void setSceneId(Long sceneId) {
        this.sceneId = sceneId;
    }

    public Long getOfficialAccountsId() {
        return officialAccountsId;
    }

    public void setOfficialAccountsId(Long officialAccountsId) {
        this.officialAccountsId = officialAccountsId;
    }

    public Long getChannelId() {
        return channelId;
    }

    public void setChannelId(Long channelId) {
        this.channelId = channelId;
    }

    public Long getAppId() {
        return appId;
    }


    public void setAppId(Long appId) {
        this.appId = appId;
    }

    public int getPaymentSource() {
        return paymentSource;
    }

    public void setPaymentSource(int paymentSource) {
        this.paymentSource = paymentSource;
    }

    public Long getWechatUserId() {
        return wechatUserId;
    }

    public void setWechatUserId(Long wechatUserId) {
        this.wechatUserId = wechatUserId;
    }

    public boolean isBuyOneBook() {
        return buyOneBook;
    }

    public void setBuyOneBook(boolean buyOneBook) {
        this.buyOneBook = buyOneBook;
    }

    public Long getTargetId() {
        return targetId;
    }

    public void setTargetId(Long targetId) {
        this.targetId = targetId;
    }

    public String getTargetType() {
        return targetType;
    }

    public void setTargetType(String targetType) {
        this.targetType = targetType;
    }

    @Override
    public String toString() {
        return "TargetIdAndTypeVO{" +
                "targetId=" + targetId +
                ", targetType='" + targetType + '\'' +
                ", wechatUserId=" + wechatUserId +
                ", buyOneBook=" + buyOneBook +
                ", paymentSource=" + paymentSource +
                ", channelId=" + channelId +
                ", appId=" + appId +
                ", officialAccountsId=" + officialAccountsId +
                ", adviserId=" + adviserId +
                ", sceneId=" + sceneId +
                ", ipAddress='" + ipAddress + '\'' +
                '}';
    }
}
